Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
seo-strategy
/
generate
Generate Seo Strategy
curl --request POST \
  --url https://api.example.com/api/v1/teams/{team_id}/seo-strategy/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "website_url": "<string>",
  "target_keywords": "",
  "competitor_urls": "",
  "goals": ""
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

application/json

Request to generate an SEO strategy for a team.

website_url
string
required

Target website URL

Required string length: 5 - 500
target_keywords
string
default:""

Target keywords (comma-separated)

Maximum string length: 2000
competitor_urls
string
default:""

Competitor URLs (comma-separated)

Maximum string length: 2000
goals
string
default:""

SEO goals and objectives

Maximum string length: 2000

Response

Successful Response